> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new website user attribute

> Create a new website user attribute



## OpenAPI

````yaml /api-reference/openapi.documented.json post /api/website_user_attributes
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/website_user_attributes:
    post:
      tags:
        - Identity
      summary: Create a new website user attribute
      description: Create a new website user attribute
      parameters: []
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        title: ID
                        description: Unique identifier for the website user attribute
                        example: 123e4567-e89b-12d3-a456-426614174003
                      label:
                        type: string
                        minLength: 1
                        title: Label
                        description: Label for the website user attribute
                        example: Website User Attribute Label
                    required:
                      - label
                websiteId:
                  type: string
                  format: uuid
                  title: Website ID
                  description: Unique identifier for the website
                  example: 123e4567-e89b-12d3-a456-426614174001
                organizationId:
                  type: string
                  format: uuid
                  title: Organization ID
                  description: Unique identifier for the organization
                  example: 123e4567-e89b-12d3-a456-426614174002
              required:
                - data
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        websiteId:
                          type: string
                        organizationId:
                          type: string
                        id:
                          type: string
                        label:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        deletedAt:
                          type: string
                          format: date-time
                          nullable: true
                      required:
                        - websiteId
                        - organizationId
                        - id
                        - label
                        - createdAt
                        - updatedAt
                        - deletedAt
                required:
                  - data
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Request body is invalid
                required:
                  - message
                title: Bad Request Response
                description: Schema for bad request response
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    title: Success
                    description: Indicates operation success
                    example: false
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Internal server error
                  debugInfo:
                    type: string
                    title: Debug Info
                    description: Optional debug information
                    example: Stack trace or additional error details
                required:
                  - success
                  - message
                title: Internal Server Error Response
                description: Schema for internal server error response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````